import { Select } from "antd";
import React, { useMemo } from "react";
// import { useModel } from "@/store";
import i18n from '@/locale/config'

let defaultLang = navigator.language;
if (defaultLang.indexOf('zh') == 0) {
  if (defaultLang == 'zh-CN' || defaultLang == 'zh') {
    defaultLang = 'zh';
  } else {
    defaultLang = 'zht';
  }
} else {
  defaultLang = 'en';
}

export default (props) => {
  const { style } = props;

  const styles = useMemo(() => {
    return { ...style, width: 120 };
  }, []);


  console.log(styles)

  const language = [
    { label: "中文简体", value: "zh" },
    { label: "中文繁体", value: "zht" },
    { label: "英文", value: "en" },
  ];

  const onChange = (v) => {
    i18n.changeLanguage(v);
  }

  return <Select defaultValue={defaultLang} style={styles} options={language} onChange={onChange} />;
};
