import React, { useEffect, useMemo, useState } from "react";
import { Layout, Spin } from "antd";
import { getPropertyValue } from "@/utils/css";
import Menus from "./Menus";
import { useTranslation } from "react-i18next";

const { Sider } = Layout;

export default (props) => {
  const { theme, location, menus } = props;
  // const [menysTranslation, setMenysTranslation] = useState([]);
  const { t } = useTranslation();

  const width = useMemo(() => {
    return /\d+/.exec(getPropertyValue("--siderbar-width"))[0] - 0;
  }, []);

  const menysTranslation = (menus || []).map((x) => {
    return {
      ...x,
      label: {
        ...x.label,
        props: {
          ...x.label.props,
          children: t(`${x.path}.title`),
        },
      },
    };
  });
  console.log(menus);
  console.log(menysTranslation);
  // setMenysTranslation(data);
  return (
    <Sider className="layout-sidebar" theme={theme} collapsible width={width}>
      <Menus theme={theme} items={menysTranslation} location={"/company"} />
    </Sider>
  );
};
