import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';
import translation_en from './en.json';
import translation_zh from './zh.json';
import translation_zht from './zht.json';

const resources = {
    en: {
        translation: translation_en,
    },
    zh: {
        translation: translation_zh,
    },
    zht: {
        translation: translation_zht,
    },
};

let defaultLang = navigator.language;
if (defaultLang.indexOf('zh') == 0) {
    if (defaultLang == 'zh-CN' || defaultLang == 'zh') {
        defaultLang = 'zh';
    } else {
        defaultLang = 'zht';
    }
} else {
    defaultLang = 'en';
}

i18n.use(initReactI18next).init({
    resources,
    // 默认语言  zh/en/zht  中文/英文/繁体
    lng: defaultLang,
    interpolation: {
        escapeValue: false,
    },
});

export default i18n;
