import React, { useState } from 'react';
import { Modal, Image } from 'antd';
import { Swiper, SwiperSlide } from 'swiper/react';
// Import Swiper styles
import 'swiper/css';
import 'swiper/css/effect-fade';
import 'swiper/css/navigation';
import 'swiper/css/pagination';
// import 'style.module.less';

// import required modules
import { Pagination } from 'swiper/modules';

export default (props) => {
  const { versionInfo, isModalOpen, onClose, width = 1200, ...leftProps } = props;

  return (
    <Modal keyboard footer={null} width={width} open={isModalOpen} onCancel={onClose} {...leftProps}>
      <Swiper
        spaceBetween={30}
        effect={'fade'}
        pagination={{
          clickable: true,
        }}
        modules={[Pagination]}
        className="mySwiper"
      >
        {
          (versionInfo || []).map((x, index) => {
            return (
              <SwiperSlide>
                <img src={x} key={index} style={{ width: '100%' }} alt="fail" />
              </SwiperSlide>
            )
          })
        }
      </Swiper>
    </Modal>
  )
}