import List from "@/components/Page/List";
import { deleteTaCompanyInfo, getTaCompanyInfo } from "@/services/company";
import { getTaCompanyRealName } from "@/services/companyreal";
import {
  PrivateIndividualsShareCapitalUnlimitedCompany,
  PrivateSharesCorporation,
  PublicShareCapitalUnlimitedCompany,
  PublicSharesCorporation,
} from "@/utils/company";
import { Button } from "antd";
import React, { useRef } from "react";
import { useTranslation } from "react-i18next";
import { useNavigate } from "react-router-dom";
export default (props) => {
  const actionRef = useRef();

  const navigate = useNavigate();
  const { t } = useTranslation();
  const columns = [
    {
      title: t("company.registrationLocation"),
      dataIndex: "registrationLocation",
    },
    {
      title: t("company.companyNameCn"),
      dataIndex: "companyNameCn",
    },
    {
      title: t("company.companyNameEn"),
      dataIndex: "companyNameEn",
    },
    {
      title: t("company.isListedCompany"),
      valueType: "select",
      dataIndex: "isListedCompany",
      valueEnum: {
        0: {
          text: "否",
        },
        1: {
          text: "是",
        },
      },
    },
    // {
    //   title: t("company.companyType"),
    //   valueType: "select",
    //   dataIndex: "companyType",
    //   render: (_, r) => {
    //     return r.companyType == 1
    //       ? PrivateSharesCorporation
    //       : r.companyType == 2
    //       ? PublicSharesCorporation
    //       : r.companyType == 3
    //       ? PublicShareCapitalUnlimitedCompany
    //       : r.companyType == 4
    //       ? PrivateIndividualsShareCapitalUnlimitedCompany
    //       : "-";
    //   },
    //   valueEnum: {
    //     1: {
    //       text: PrivateSharesCorporation,
    //     },
    //     2: {
    //       text: PublicSharesCorporation,
    //     },
    //     3: {
    //       text: PublicShareCapitalUnlimitedCompany,
    //     },
    //     4: {
    //       text: PrivateIndividualsShareCapitalUnlimitedCompany,
    //     },
    //   },
    // },
    // {
    //   title: "公司注册证书",
    //   valueType: "image",
    //   dataIndex: "certificateIncorporation",
    // },
    // {
    //   title: "公司商业登记证",
    //   valueType: "image",
    //   dataIndex: "companyBusinessRegistration",
    // },
    // {
    //   title: "nnc1/最新nar1",
    //   valueType: "image",
    //   dataIndex: "nnc1Nar1",
    // },
    // {
    //   title: "其他附件",
    //   valueType: "image",
    //   dataIndex: "otherAnnex",
    // },
    // {
    //   title: "商业登记号",
    //   dataIndex: "businessRegistrationNum",
    // },
    // {
    //   title: "注册国家",
    //   dataIndex: "registerCountry",
    // },
    // {
    //   title: "注册省/地区",
    //   dataIndex: "registerProvinceRegion",
    // }, {
    //     title: "注册市",
    //     dataIndex: "registerCity",
    //   },
  ];
  return (
    <List
      rowKey="realCompanyId"
      actionRef={actionRef}
      request={getTaCompanyRealName}
      columns={columns}
      columnOptionRender={(_, r) => [
        <Button
          style={{ padding: 0 }}
          type="link"
          key={1}
          onClick={() => navigate(`/company/edit?id=${r.realCompanyId}`)}
        >
          {t("details")}
        </Button>,
      ]}

      // toolBarRender={() => [
      //   <Button
      //     key="1"
      //     type="primary"
      //     onClick={() => {
      //       navigate("edit");
      //     }}
      //   >
      //     新增
      //   </Button>,
      // ]}
    />
  );
};
